local time = 0
local active = true
local delay = 1
local range = 10
local updateCooldown = 0.25
local updateWaited = 0
local boost = 0.01
local target = GetPlayerTransform()

function init()
    selfVehicle = FindVehicle("luckycar")
    world = GetWorldBody()
end
function tick(dt)
    if not active then return end
    if GetVehicleHealth(selfVehicle) == 0 then active = false Delete(selfVehicle) end
    time = time + dt
    updateWaited = updateWaited + dt
    if time < delay then return end

    local selfT = GetVehicleTransform(selfVehicle)
    if updateWaited >= updateCooldown then
        target = VecCopy(getTarget(selfT))
        updateWaited = 0
    end

    flee(selfT, target)
end
function flee(selfT, target)
    --Drive
    local dir = TransformToLocalPoint(selfT, target)
    local dirDeg = math.deg(math.atan2(dir[1], dir[3]))/180
    DriveVehicle(selfVehicle, 1, dirDeg)

    --Velocity
    local body = GetVehicleBody(selfVehicle)
    local vel = GetBodyVelocity(body)
    local forward = TransformToParentVec(selfT, Vec(0, 0, -1))
    SetBodyVelocity(body, VecAdd(vel, VecScale(forward, time*boost)))
end
function getTarget(selfT)
    QueryRejectBody(world)
    QueryRejectVehicle(selfVehicle)
    local _, point = QueryClosestPoint(selfT.pos, range)
    return point
end