#include "../normal/drops.lua"
#include "../normal/sleep.lua"
#include "conditions.lua"

local active = true
function init()
    self = FindBody("luckyblock", false)
    --SOUNDS
    openSnd = LoadSound("MOD/snd/open.ogg")
end
function tick(dt)
    if not active then return end 
    --If force opened
    if GetBool("level.luckyblocks.forceopen") then open(); return end
    --If deleted
    if not IsHandleValid(self) then active = false; return end
    --If condition is met
    if condition(self) then open() end  
end
function open()
    --Drop the block and sleep if needed
    local shouldSleep = drop(self)
    if shouldSleep then sleep(self, openSnd); active = false end
end