#include "quickMath.lua"

function openParticles(pos, red, green, blue)
    ParticleReset()

    ParticleType("plain")
    ParticleTile(3)
    ParticleColor(red, green, blue)
    ParticleRadius(0.2, 0, "easein")
    ParticleAlpha(1)
    ParticleGravity(-3)
    ParticleDrag(0.4)
    ParticleEmissive(0.1)
    ParticleStretch(5, 0)
    ParticleCollide(1, 1, "constant", 0.1)

    for x=1, 100 do
        SpawnParticle(pos, VecScale(randVec(-1, 1, 3), 15), math.random(0, 100)/100)
    end
end
function force360(pos, force, size, amount)
    ParticleReset()
    ParticleType('plain')
    ParticleTile(6)
    ParticleColor(1, 1, 1)
    ParticleRadius(0.1)
    ParticleAlpha(1, 0, "easeout", 0.15)
    ParticleEmissive(0.2)
    ParticleRotation(0)
    ParticleStretch(40)
    ParticleCollide(0)

    for x=1, amount do
        local newPos = VecAdd(pos, randVec(-size, size, 3))
        local dir = VecSub(pos, newPos)
        SpawnParticle(newPos, VecScale(dir, force), 0.5)
    end
end