--COMMON FUNCTIONS
function isInBounds(position, min, max)
    if position[1] > min[1] and position[2] > min[2] and position[3] > min[3] then
        if position[1] < max[1] and position[2] < max[2] and position[3] < max[3] then
            return true
        end
        return false
    end
    return false
end
function getObjects(self, size)
    local selfPos = GetBodyTransform(self).pos
    local minPos = VecSub(selfPos, Vec(size, size, size))
    local maxPos = VecAdd(selfPos, Vec(size, size, size))

    --FOR OBJECTS
    QueryRejectBody(self)
    QueryRequire("dynamic")
    return QueryAabbBodies(minPos, maxPos), minPos, maxPos
end
function getObjects_location(pos, size)
    local minPos = VecSub(pos, Vec(size, size, size))
    local maxPos = VecAdd(pos, Vec(size, size, size))

    --FOR OBJECTS
    QueryRequire("dynamic")
    return QueryAabbBodies(minPos, maxPos), minPos, maxPos
end
function randVec(min, max, precision)
    return Vec(
        math.random(min*10^precision, max*10^precision)/10^precision,
        math.random(min*10^precision, max*10^precision)/10^precision,
        math.random(min*10^precision, max*10^precision)/10^precision
    )
end
function getDist(posA, posB)
    return math.sqrt((posB[1]-posA[1])^2 + (posB[2]-posA[2])^2 + (posB[3]-posA[3])^2)
end
function getBodyPos(body)
	return TransformToParentPoint(GetBodyTransform(body), GetBodyCenterOfMass(body))
end